import type { ReactNode } from "react";
import type { Meta, Story } from "@storybook/react";
import type { ArgType } from "@storybook/addons";
import type { Parameters } from "@storybook/react";
export declare const useTheme: () => import("onyxia-ui").Theme<{
    focus: {
        main: string;
        light: string;
        light2: string;
    };
    dark: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    light: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    redError: {
        main: string;
        light: string;
    };
    greenSuccess: {
        main: string;
        light: string;
    };
    orangeWarning: {
        main: string;
        light: string;
    };
    blueInfo: {
        main: string;
        light: string;
    };
}, {
    typography: {
        textPrimary: string;
        textSecondary: string;
        textTertiary: string;
        textDisabled: string;
        textFocus: string;
    };
    buttons: {
        actionHoverPrimary: string;
        actionHoverSecondary: string;
        actionHoverTernary: string;
        actionSelected: string;
        actionActive: string;
        actionDisabled: string;
        actionDisabledBackground: string;
    };
    surfaces: {
        background: string;
        surface1: string;
        surface2: string;
    };
    alertSeverity: {
        error: {
            main: string;
            background: string;
        };
        success: {
            main: string;
            background: string;
        };
        warning: {
            main: string;
            background: string;
        };
        info: {
            main: string;
            background: string;
        };
    };
}, never>, StoryProvider: (props: {
    dark?: boolean | undefined;
    children: ReactNode;
}) => JSX.Element, ThemeProvider: (props: import("onyxia-ui").ThemeProviderProps) => JSX.Element;
export declare const StoryProviderWrapper: import("react").MemoExoticComponent<(props: {
    children: JSX.Element;
}) => JSX.Element>;
export declare function getStoryFactory<Props>(params: {
    sectionName: string;
    wrappedComponent: Record<string, (props: Props) => ReturnType<React.FC>>;
    defaultWidth?: number;
    argTypes?: Partial<Record<keyof Props, ArgType>>;
    parameters?: Parameters;
}): {
    meta: Meta<import("@storybook/react").Args>;
    getStory: (props: Props) => Story<Props & {
        darkMode: boolean;
    }>;
};
